# Eos ADAS

A high-end ADAS demo project that demonstrates some of the new features in QtQuick3D in Qt 6.3, such as particle weather effects, realtime reflections, and skeletal animation.

![Screenshot](eosADAS.png)

## Requirements

Qt 6.3 is required due to the features used in the demo. The following modules are needed in addition to the basic set:
- Qt Quick 3D
- Qt Quick Timeline
- Qt 5 Compatibility Module
- Qt Shader Tools
- Qt WebSockets
- qtquickdesigner-components (https://code.qt.io/cgit/qt-labs/qtquickdesigner-components.git/) (Installing: https://doc-snapshots.qt.io/qtdesignstudio-6.0/quick-converting-ui-projects.html#adding-qt-quick-designer-components-to-qt-installations)

## Running

Eos ADAS can be run either from Qt Design Studio (3.x) or by building the application with cmake.

## Keyboard Controls

|Key|Effect|
|--|--|
|1|Dawn lighting|
|2|Day lighting|
|3|Dusk lighting|
|4|Clear weather|
|5|Mist weather|
|6|Rain weather|
|7|Snow weather|
|8|ADAS mode|
|9|Side mode|
|0|Startup animation|
|space|Twisting road animation|
|*|Restart the overtaking animation|

